=== debian/control ===
Source: jupyterlab
Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
Uploaders: Julien Puydt <jpuydt@debian.org>, Roland Mas <lolando@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.0
Homepage: https://github.com/jupyterlab/jupyterlab
Build-Depends: debhelper-compat (= 13),
 dh-python (>= 2.20160609~),
 python3-all,
 python3-hatch-jupyter-builder,
 python3-setuptools,
 dh-nodejs,
 jupyter-server,
 python3-jupyter-events (>= 0.9.0-2),
 python3-jupyterlab-server,
 python3-notebook-shim,
 python3-async-lru,
 node-codemirror-language,
 node-codemirror-state,
 node-codemirror-view,
 node-find-root,
 node-html-loader,
 node-html-webpack-plugin,
 node-jupyterlab (>= 4.0.9+ds1+~cs11.25.24~),
 node-jupyterlab (>= 4.0.9+ds1+~cs11.25.24-1~),
 node-lezer-common,
 node-lezer-highlight,
 node-license-webpack-plugin,
 node-lumino,
 node-react,
 node-react-dom,
 node-typestyle,
 node-typestyle (>= 2.4.0+ds+~3.0.10~),
 node-vscode-ws-jsonrpc,
 node-webpack-merge,
 node-whatwg-fetch,
 node-yjs,
 webpack,
 node-corepack,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/jupyterlab.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyterlab

Package: python3-jupyterlab
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3, nodejs,
 node-jupyterlab,
 node-call-bind,
 node-get-intrinsic,
 node-long,
 python3-notebook-shim,
 python3-jupyter-events,
 python3-rpds-py,
Description: Computational environment
 Extensible environment for interactive and reproducible computing,
 based on the Jupyter notebook and architecture.
 .
 This package installs the library for Python 3.
