=== debian/watch ===
version=4
opts=\
repack,repacksuffix=+ds1,dversionmangle=auto \
https://github.com/jupyterlab/jupyterlab/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@
