=== debian/changelog ===
jupyterlab (4.0.11+ds1+~cs11.25.27-8) unstable; urgency=medium

  * Add node-supports-color into dependencies and add a patch for
    node-supports-color >= 11 (Closes: #1119742)

 -- Yadd <yadd@debian.org>  Fri, 07 Nov 2025 15:18:12 +0100

jupyterlab (4.0.11+ds1+~cs11.25.27-7) unstable; urgency=medium

  * Team upload
  [ Jérémy Lal ]
  * Fix build of bundled browser module (Closes: #1102558).
    Adds a webpack plugin to support modules prefixed by "node:".

  [ Picca Frédéric-Emmanuel ]
  * switch to the upstream (hatchling) build system.
    - now jupyterlab is well integrated with jupyterhub
    - do not install examples at the wrong place.
    - the Python dist-info are right.
  * Bug fix: "missing four files from upstream distribution", thanks to
    Julian Gilbey (Closes: #1101429).
  * Bug fix: "advertises Python package version as 0.0.0", thanks to
    Julian Gilbey (Closes: #1086709).
  * Bug fix: "installs examples into dist-packages", thanks to Piotr
    Ożarowski (Closes: #1102934).
  * d/control: B-D on webpack (>= 5.97.1+dfsg1+~cs11.18.27-3~)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 05 Jun 2025 14:45:20 +0200

jupyterlab (4.0.11+ds1+~cs11.25.27-6) unstable; urgency=medium

  * Declare compliance with policy 4.7.2
  * Fix webpack/commonjs config (Closes: #1101851)
  * Clean temporary files -m (Closes: #1101816)

 -- Yadd <yadd@debian.org>  Wed, 02 Apr 2025 18:46:10 +0200

jupyterlab (4.0.11+ds1+~cs11.25.27-5) unstable; urgency=medium

  * Add dependency on python3-notebook.

 -- Roland Mas <lolando@debian.org>  Sat, 22 Mar 2025 14:40:05 +0100

jupyterlab (4.0.11+ds1+~cs11.25.27-4) unstable; urgency=medium

  * debian/watch: replace /releases by /tags in GitHub urls
  * Add dependency to node-license-webpack-plugin

 -- Yadd <yadd@debian.org>  Thu, 26 Dec 2024 06:14:42 +0100

jupyterlab (4.0.11+ds1+~cs11.25.27-3) unstable; urgency=medium

  * Fix CVE-2024-43805 (Closes: #1082871)

 -- Yadd <yadd@debian.org>  Mon, 25 Nov 2024 15:00:57 +0100

jupyterlab (4.0.11+ds1+~cs11.25.27-2) unstable; urgency=medium

  * Require well build @codemirror/language and @codemirror/view
    (Closes: #1078077)

 -- Yadd <yadd@debian.org>  Mon, 26 Aug 2024 06:11:09 +0400

jupyterlab (4.0.11+ds1+~cs11.25.27-1) unstable; urgency=medium

  * First version of Jupyterlab that merges python3-jupyterlab and
    node-jupyterlab
  * Rename source and package into jupyterlab
  * Change maintainer to Debian PAN Maintainer
    <debian-pan-maintainers@alioth-lists.debian.net>

  [ Roland Mas ]
  * Update debian/watch to cope with the github "tags" page being full of
    tags that are not relevant to us.

  [ Yadd ]
  * Declare compliance with policy 4.7.0
  * New upstream version 4.0.11+ds1+~cs11.25.27
  * Refresh patches
  * Merge python3-jupyterlab and node-jupyterlab
  * Add patch to use system yarnpkg or an arbitrary command given by arg
    (Closes: #1060772)
  * Increase Node.js memory for i386 build
  * Add build dependency to:
    - python3-jupyter-server
    - python3-async-lru
    - python3-jupyterlab-server
    - python3-notebook-shim
  * Increase Node.js memory use to fix i386 build
  * Launch also "jupyter-labextension build galata/extension"
  * Replace html-loader pre-processing by a custom script (see #1078077)

 -- Yadd <yadd@debian.org>  Mon, 12 Aug 2024 16:35:17 +0400

python3-jupyterlab (4.0.11+ds1-2) unstable; urgency=medium

  * Improve error detection in d/rules.
  * Bug fix: "Use node-long package", thanks to Bastien Roucariès (Closes:
    #1067017).
  * Bug fix: "use pacckaged node-call-bind (provided package)", thanks to
    Bastien Roucariès (Closes: #1067019).
  * Bug fix: "please use node-get-intrinsic", thanks to Bastien Roucariès
    (Closes: #1067020).

 -- Roland Mas <lolando@debian.org>  Tue, 19 Mar 2024 16:49:20 +0100

python3-jupyterlab (4.0.11+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Bug fix: "CVE-2024-22420 CVE-2024-22421", thanks to Salvatore
    Bonaccorso (Closes: #1061221).

 -- Roland Mas <lolando@debian.org>  Mon, 22 Jan 2024 13:52:19 +0100

node-jupyterlab (4.0.10+ds1+~cs11.25.27-1) unstable; urgency=medium

  * New upstream version 4.0.10+ds1+~cs11.25.27
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Tue, 09 Jan 2024 09:28:06 +0400

python3-jupyterlab (4.0.10+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 12 Jan 2024 16:01:12 +0100

node-jupyterlab (4.0.9+ds1+~cs11.25.24-2) unstable; urgency=medium

  * Fix autopkgtest
  * Fix copyright paths
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 20 Dec 2023 13:18:48 +0400

node-jupyterlab (4.0.9+ds1+~cs11.25.24-1) unstable; urgency=medium

  * Embed duplicate-package-checker-webpack-plugin and systeminformation

 -- Yadd <yadd@debian.org>  Tue, 19 Dec 2023 11:51:43 +0400

node-jupyterlab (4.0.9+ds1+~cs3.4.4-1) unstable; urgency=medium

  * Remove patch fix-node-xterm-paths.patch that is missing
    from debian/patches/series
  * New upstream version 4.0.9+ds1+~cs3.4.4
  * Add patch for minimatch >= 9
  * Update lintian overrides
  * Require node-typestyle >= 2.4.0+ds+~3.0.10~
  * Upload to unstable

 -- Yadd <yadd@debian.org>  Tue, 19 Dec 2023 08:10:53 +0400

python3-jupyterlab (4.0.9+ds1-2) unstable; urgency=medium

  * Run jupyter-labextension build at package build time.

 -- Roland Mas <lolando@debian.org>  Wed, 03 Jan 2024 17:06:14 +0100

python3-jupyterlab (4.0.9+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 26 Dec 2023 14:50:00 +0100

python3-jupyterlab (4.0.8+ds1-3) UNRELEASED; urgency=medium

  * Add missing Build-Depends.
  * Pre-build Jupyterlab assets at package build time.
  * Bug fix: "Jupyter lab does not start up", thanks to Christian Holm
    Christensen (Closes: #1060390).

 -- Roland Mas <lolando@debian.org>  Tue, 26 Dec 2023 14:45:22 +0100

python3-jupyterlab (4.0.8+ds1-2) unstable; urgency=medium

  * Update debian/copyright slightly.


