=== debian/control ===
Source: jupyterlab
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders: Yadd <yadd@debian.org>
 , Roland Mas <lolando@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends: debhelper-compat (= 13)
 , dh-nodejs (>= 0.15.22~)
 , dh-sequence-python3
 , node-ajv (>= 8)
 , node-babel7
 , node-codemirror-autocomplete
 , node-codemirror-commands
 , node-codemirror-lang-cpp
 , node-codemirror-lang-css
 , node-codemirror-lang-html
 , node-codemirror-lang-java
 , node-codemirror-lang-javascript
 , node-codemirror-lang-json
 , node-codemirror-lang-markdown
 , node-codemirror-lang-php
 , node-codemirror-lang-python
 , node-codemirror-lang-rust
 , node-codemirror-lang-sql
 , node-codemirror-lang-wast
 , node-codemirror-lang-xml
 , node-codemirror-language (>= 6.10.2~)
 , node-codemirror-legacy-modes
 , node-codemirror-lint
 , node-codemirror-search
 , node-codemirror-state
 , node-codemirror-view (>= 6.33.0~)
 , node-commander
 , node-css-loader
 , node-d3-delaunay
 , node-d3-geo-projection
 , node-deepmerge
 , node-dependency-graph
 , node-fortawesome-fontawesome-free
 , node-fs-extra
 , node-find-root
 , node-geojson
 , node-glob
 , node-html-loader
 , node-html-webpack-plugin
 , node-inquirer
 , node-json-schema
 , node-json5
 , node-lezer-common
 , node-lezer-generator
 , node-lezer-highlight
 , node-lezer-markdown
 , node-license-webpack-plugin
 , node-lodash
 , node-lodash-packages
 , node-lumino (>= 2023.4.27)
 , node-marked
 , node-mathjax-full
 , node-micromatch
 , node-mini-css-extract-plugin
 , node-minimatch (>= 9)
 , node-minimist
 , node-package-json
 , node-path-browserify
 , node-playwright
 , node-process
 , node-react
 , node-react-dom
 , node-react-highlight-words
 , node-react-json-tree
 , node-react-paginate
 , node-react-toastify
 , node-regexp-match-indices
 , node-rjsf-core
 , node-rjsf-utils
 , node-rjsf-validator-ajv8
 , node-sanitize-html
 , node-schema-utils (>= 4)
 , node-semver
 , node-simulate-event
 , node-sort-package-json
 , node-source-list-map
 , node-source-map
 , node-source-map-loader
 , node-supports-color
 , node-stdlib-stats
 , node-style-loader
 , node-style-mod
 , node-supports-color
 , node-tapable
 , node-types-estree
 , node-types-jest
 , node-typescript
 , node-typestyle (>= 2.4.0+ds+~3.0.10~)
 , node-uri-js
 , node-url-parse
 , node-vega
 , node-vega-embed
 , node-vega-lite
 , node-vscode-debugprotocol
 , node-vscode-jsonrpc
 , node-vscode-languageserver-protocol
 , node-vscode-ws-jsonrpc
 , node-webpack-env
 , node-webpack-merge
 , node-webpack-sources
 , node-whatwg-fetch
 , node-xterm (>= 5)
 , node-xtend
 , node-y-codemirror
 , node-y-protocols
 , node-yjs
 , pybuild-plugin-pyproject
 , python3-all
 , python3-async-lru
 , python3-hatch-jupyter-builder
 , python3-jupyter-server
 , python3-jupyterlab-server
 , python3-notebook
 , python3-notebook-shim
 , webpack (>= 5.97.1+dfsg1+~cs11.18.27-3~)
 , yarnpkg
Standards-Version: 4.7.2
Homepage: https://github.com/jupyterlab/jupyterlab
Vcs-Git: https://salsa.debian.org/js-team/node-jupyterlab.git
Vcs-Browser: https://salsa.debian.org/js-team/node-jupyterlab
Rules-Requires-Root: no

Package: jupyterlab
Architecture: all
Provides: ${nodejs:Provides}
 , jupyter-lab (=${binary:Version})
 , jupyter-labextension (=${binary:Version})
 , jupyter-labhub (=${binary:Version})
 , node-jupyterlab (=${binary:Version})
 , python3-jupyterlab (=${binary:Version})
Breaks: node-jupyterlab (<< 4.0.11+ds1+~cs11.25.27~)
 , python3-jupyterlab (<< 4.0.11+ds1+~cs11.25.27~)
Replaces: node-jupyterlab (<< 4.0.11+ds1+~cs11.25.27~)
 , python3-jupyterlab (<< 4.0.11+ds1+~cs11.25.27~)
Depends: ${misc:Depends}
 , ${python3:Depends}
 , jest
 , node-ajv (>= 8)
 , node-babel7
 , node-call-bind
 , node-codemirror-autocomplete
 , node-codemirror-commands
 , node-codemirror-lang-cpp
 , node-codemirror-lang-css
 , node-codemirror-lang-html
 , node-codemirror-lang-java
 , node-codemirror-lang-javascript
 , node-codemirror-lang-json
 , node-codemirror-lang-markdown
 , node-codemirror-lang-php
 , node-codemirror-lang-python
 , node-codemirror-lang-rust
 , node-codemirror-lang-sql
 , node-codemirror-lang-wast
 , node-codemirror-lang-xml
 , node-codemirror-language
 , node-codemirror-legacy-modes
 , node-codemirror-search
 , node-codemirror-state
 , node-codemirror-view
 , node-commander
 , node-css-loader
 , node-deepmerge
 , node-fortawesome-fontawesome-free
 , node-fetch
 , node-fs-extra
 , node-get-intrinsic
 , node-glob
 , node-json-schema
 , node-json5
 , node-lezer-common
 , node-lezer-generator
 , node-lezer-highlight
 , node-lezer-markdown
 , node-license-webpack-plugin
 , node-lodash-packages
 , node-long
 , node-lumino
 , node-marked
 , node-mathjax-full
 , node-mini-css-extract-plugin
 , node-minimist
 , node-path-browserify
 , node-playwright-test
 , node-process
 , node-react
 , node-react-dom
 , node-react-highlight-words
 , node-react-json-tree
 , node-react-paginate
 , node-react-toastify
 , node-regexp-match-indices
 , node-rjsf-core
 , node-rjsf-utils
 , node-rjsf-validator-ajv8
 , node-sanitize-html
 , node-semver
 , node-simulate-event
 , node-source-map-loader
 , node-stdlib-stats
 , node-style-loader
 , node-style-mod
 , node-supports-color
 , node-terser-webpack-plugin
 , node-ts-jest
 , node-typestyle
 , node-url-parse
 , node-vega
 , node-vega-embed
 , node-vega-lite
 , node-vega-statistics
 , node-vscode-debugprotocol
 , node-vscode-jsonrpc
 , node-vscode-languageserver-protocol
 , node-webpack-merge
 , node-worker-loader
 , node-ws
 , node-xterm (>= 5)
 , node-xterm-addon-canvas
 , node-xterm-addon-fit
 , node-xterm-addon-web-links
 , node-xterm-addon-webgl
 , node-yjs
 , node-y-protocols
 , python3-jupyter-events
 , python3-rpds-py
 , webpack
 , yarnpkg
Description: Node.js modules for JupyterLab
 JupyterLab is the next-generation user interface for Project Jupyter
 offering all the familiar building blocks of the classic Jupyter Notebook
 (notebook, terminal, text editor, file browser, rich outputs, etc.) in a
 flexible and powerful user interface.
 .
 This package provides Node.js modules for JupyterLab.
