=== debian/watch ===
version=4
opts=\
repacksuffix=+ds1,\
dversionmangle=auto,\
uversionmangle=s/-?((?:rc|beta|alpha)\d*)/~$1/,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
 https://github.com/jupyterlab/jupyterlab/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@ group

opts=\
component=jupyter-ydoc,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jupyter-ydoc-$1/ \
 https://github.com/jupyter-server/jupyter_ydoc/tags .*/archive.*/v?([\d\.]+)@ARCHIVE_EXT@ checksum

opts=searchmode=plain,\
component=mini-svg-data-uri,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-mini-svg-data-uri-$1/ \
 https://registry.npmjs.org/mini-svg-data-uri https://registry.npmjs.org/mini-svg-data-uri/-/mini-svg-data-uri-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=systeminformation,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-systeminformation-$1/ \
 https://github.com/sebhildebrandt/systeminformation/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=duplicate-package-checker-webpack-plugin,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-duplicate-package-checker-webpack-plugin-$1/ \
 https://github.com/darrenscerri/duplicate-package-checker-webpack-plugin/tags .*/archive.*/v?([\d\.]+).tar.gz checksum
