## jupyterlab commands-0.2.2

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,20 @@
 testjs: ## Clean and Make js tests
-	yarn test
+	cd js; yarn test
 
 testpy: ## Clean and Make unit tests
 	python3.7 -m pytest -v jupyterlab_commands/tests --cov=jupyterlab_commands
 
 tests: lint ## run the tests
 	python3.7 -m pytest -v jupyterlab_commands/tests --cov=jupyterlab_commands --junitxml=python_junit.xml --cov-report=xml --cov-branch
-	yarn test
+	cd js; yarn test
 
 lint: ## run linter
 	flake8 jupyterlab_commands setup.py
-	yarn lint
+	cd js; yarn lint
 
 fix:  ## run autopep8/tslint fix
 	autopep8 --in-place -r -a -a jupyterlab_commands/
-	./node_modules/.bin/tslint --fix src/*
+	cd js; yarn fix
 
 annotate: ## MyPy type annotation check
 	mypy -s jupyterlab_commands
@@ -40,11 +40,11 @@
 	jupyter serverextension enable --py jupyterlab_commands
 
 js:  ## build javascript
-	yarn
-	yarn build
+	cd js; yarn
+	cd js; yarn build
 
 labextension: js ## enable labextension
-	jupyter labextension install .
+	cd js; jupyter labextension install .
 
 dist: js  ## create dists
 	rm -rf dist build
@@ -52,7 +52,7 @@
 
 publish: dist  ## dist to pypi and npm
 	twine check dist/* && twine upload dist/*
-	npm publish
+	cd js; npm publish
 
 # Thanks to Francoise at marmelab.com for this
 .DEFAULT_GOAL := help
