=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
-SPHINXPROJ    = jupyterlab_autoversion
+SPHINXPROJ    = jupyterlab_commands
 SOURCEDIR     = .
 BUILDDIR      = _build
